Linux下的python的pip问题

今天我安装了python3 然后pip安装tornado,测试发现导入不成功,通过find命令查到pip把tornado安装到python2.7里面去了
图片说明
通过搜索命令发现在python3.6里面有一个pip,于是我到usr/bin目录下面删除了pip的软连接
然后设置python3.6的pip软连接发现pip用不了
图片说明

1
扫码支付0.1元 ×
其他相关推荐
Linux python 与pip升级与问题解决
一、安装pip 使用脚本安装和升级pip 要安装或升级pip,需要下载 get-pip.py. 地址:https://bootstrap.pypa.io/get-pip.py 然后运行以下命令 (需要管理员权限): $ wget https://bootstrap.pypa.io/get-pip.py $ python get-pip.py $ pip -V  #查看p
Linux中Python的pip命令使用
    Python安装完成之后,想要下载相关的包,例如:paramiko、numpy、pandas等Python中这些基础的包,这里以安装paramiko包为例,说明如何使用pip安装     paramiko模块,基于SSH用于连接远程服务器并执行相关操作。 进入Python命令行模式,引入paramiko模块,不存在时会输出提示信息 [root@centos ~]# python  P...
Linux下Python安装完成后如何使用pip命令
目录一、Linux下安装Python二、Linux下Python安装完成后如何使用pip命令三、Linux下Python安装完成后如何使用yum命令四、Linux下安装Anaconda五、Linux下使用anaconda安装Keras             上一篇博客我们主要讨论了如何在Linux下进行Python3.6.3的安装,这篇博客我们主要说一下安装完成后如何进行pip命令的使用。一、很...
Linux pip 命令无法使用问题
Linux pip 命令无法使用问题 pip 命令无法使用,说明 pip 没有安装,我们可以使用终端命令进行安装。 sudo apt-get installl python-pip 安装成功之后,可以通过命令查看安装版本。 pip -V 如果报错,则说明安装出现问题。 出错原因有二: Python 与pip版本没有对应起来 已经安装但是与Python版本冲突   解决办法: ...
Linux使用pip从存在Python版本无法匹配的情况
昨天在自己的Deepin系统上安装了pip,但是由于系统有2个版本的Python(2.7版本和3.5版本),每次安装的模块都直接安装到了系统默认的2.7模块了,那么该怎样模块安装到python3.5中呢? 1.修改系统默认的版本 想要为某个特定用户修改 Python版本,只需要在其 home目录下创建一个 alias(别名) 即可。打开该用户的~/.bashrc文件,添加新的别名信息来修改默认使
linux下安装python3和对应的pip环境
1、下载python3.6的安装包: wget https://www.python.org/ftp/python/3.6.0/Python-3.6.0.tgz 2、解压后,进入到解压目录下,执行如下命令,将python3.6进行编译,如下是将python的环境编译到/usr/local/python3的目录下,注意先创建该目录: ./configure –prefix=/usr/l...
更换python的pip源
一些国内的pip源,如下: 阿里云 http://mirrors.aliyun.com/pypi/simple/ 中国科技大学 https://pypi.mirrors.ustc.edu.cn/simple/ 豆瓣(douban) http://pypi.douban.com/simple/ 清华大学 https://pypi.tuna.tsinghua.edu.cn/simple/ 中国科学技术...
安装pycuda的正确办法
参考 https://wiki.tiker.net/PyCuda/Installation/Linux 使用pip install pycuda,出现找不到cuda.h。没解决。下载、解压 编译安装 # sudo apt-get -y --force-yes install python-pycuda sudo rm -rf pycuda-2018.1.1 tar xzf p...
下载 pip 工具
下载 python ,pip 安装工具,获取pip, python <3.3, python pip, pip install something
【转译】linux下离线安装python和pip
如果本机安装了python2,尽量不要管他,使用python3运行python脚本就好,因为可能有程序依赖目前的python2环境, 比如yum!!!!!所以:不要动现有的python2环境!  ————https://www.cnblogs.com/lilidun/p/6041198.html 一、python安装 下载python安装包: 命令行wget下载 wget -...
Linux环境下安装Python3,同时配置pip3
第一步:安装OpenSSL pip3需要用到ssl,否则无法正常使用pip3安装python包 yum -y install openssl* 第二步:下载Python3源码并安装 下载: wget https://www.python.org/ftp/python/3.6.4/Python-3.6.4.tar.xz 安装: ./configure --prefix=/usr/loc
linux 下 pip 安装教程
pip下载:# wget "https://pypi.python.org/packages/source/p/pip/pip-1.5.4.tar.gz#md5=834b2904f92d46aaa333267fb1c922bb" --no-check-certificatepip安装:# tar -xzvf pip-1.5.4.tar.gz # cd pip-1.5.4 # python setup
linux升级python,安装pip等。
I. 升级python 本次选择版本2.7.8,需要其他版本请移步:官方FTP wget https://www.python.org/ftp/python/2.7.8/Python-2.7.8.tar.xz #如果tar版本过低,请使用xz -d xx.tar.xz 然后 tar -xf xxx.tar tar -xvf Python-2.7.8.tar.xz cd Python-2.7
如何在linux下安装pip
安装pip的方法: Install pip and virtualenv for Ubuntu 10.10 Maverick and newer $ sudo apt-get install python-pip python-dev build-essential $ sudo pip install --upgrade pip $ sudo pip install --upgrade ...
linux和mac 上 pip 不支持ssl的问题
报错:pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.新版的pip 默认要求使用https源了,pip 的源可以使用国内的源,下载速度会很快。参考这个 http://mirrors.aliyun.com/help/pypipip.conf...
linux 下安装Python及Python安装工具包pip
linux 下安装Python及Python安装工具包pip
windows和linux下python opencv安装(含离线安装)
windows和linux下python opencv安装,含pip和whl文件离线安装两种方法。
Linux下安装python-opencv ,亲测可用
背景: 刚开始安装好Ubuntu16.04系统后,便安装了pip,直接使用pip进行安装opencv pip install opencv-python 再使用 import cv2 进行检验发现可以通过,就以为安装成功了。后来直到我使用cv2.imshow()函数的时候发现图像出不来,并且提示以下错误的时候才知道自己安装的opencv有问题了。 OpenCV Error: Uns
linux平台修改pip源
方法一:临时修改 # 在pip后指定源 pip install ipython -i http://mirrors.aliyun.com/pypi/simple/ 方法二:永久修改 # 找到~/.pip/pip.conf,如果不存在就创建 # 加入 [global] timeout = 10 # 设置超时,单位s index-url = http://mirrors.aliyun.com...
Linux、ubuntu下pip安装aiohttp失败,修改python默认版本
ubuntu安装python3.6 ubuntu安装pip pip3安装aiohttp ubuntu切换默认python的版本
安装pip3 以及将Linux下的Python更改为3.x
上次切换了Python2和Python3。但是Python3并没有pip,所有在Python3下不能安装包。 更改Python的版本: 将Linux系统默认的Python2.x 更改为Python3.x 首先在终端输入:python –verison 查看本机默认采用的python 版本 接着进入/usr/loc
linux环境离线安装python环境以及pip,一条命令
在开发环境下,我们都有网络,可以随意打包项目,配置环境,但是在生产环境,客户的机器有时候不能连外网,这时候就需要离线安装python环境。还有一种情况就是docker打包的时候,如果每次都通过网络连接打包项目,效率会很慢,而且每次打包都要下载,很浪费时间,离线方式就可以帮我们节省很多时间。 首先我们创建一个autoenv文件夹,将需要的文件移进去,最基本的具有pip的python环境我们首先需要下...
linux系统下pip不能更新问题解决
linux系统下pip不能更新问题解决,python setup.py egg_info" failed with error code 1 ,Not uninstalling pip at /usr/lib/python2.7/dist-packages, outside environment /us
查看Linux下使用pip install 安装python模块的路径
欢迎使用Markdown编辑器写博客本Markdown编辑器使用StackEdit修改而来,用它写博客,将会带来全新的体验哦: Markdown和扩展Markdown简洁的语法 代码块高亮 图片链接和图片上传 LaTex数学公式 UML序列图和流程图 离线写博客 导入导出Markdown文件 丰富的快捷键 快捷键 加粗 Ctrl + B 斜体 Ctrl + I 引用 Ctrl
教你在linux服务器默认的python2.6.6上一步步装pip和其他组件。
python2.6.6已经被淘汰,但是大多数的linux服务器上预装的还是它,很多第三方的模块不能安装。而且几乎都没有预装pip使用pip install ...会提示-bash: pip: command not found最近的pip从10.0以后不在支持python2.6.6,最低2.7所以我们应该怎么做呢?下载支持版本的pip。好接下来我们在release history中选择之前的版本,...
Linux下安装或升级Python 2.7(含pip安装)
1.准备编译环境gcc,没有gcc编译环境会出现报错,如下: [root@localhost ~]# cd Python-2.7.11 [root@localhost Python-2.7.11]# ./configure --prefix=/usr/local/python27 checking build system type... x86_64-unknown-linux-g
ubuntu下安装pip, nltk过程
今天早上在ubuntu下使用命令行安装NLTK, 发现报错,无法找到pip,我的pycharm安装的pip是7.0版本,然后我想升级为9.0但是不成功,就使用命令行升级pip 过程如下: 1、升级pip $ su root                      //以管理员身份运行 $ wget https://bootstrap.pypa.io/get-pip.py $ pytho
python2.7和pip在linux下的安装详解
1,安装python2.7安装包。 从官网下载python2.7.6的安装包。 https://www.python.org/download/releases/2.7.6。 解压后做以下几步: (1) ./configure    --prefix=/usr/local/pyton2.7(这里填写自己的安装目录)。 (2)执行make命令操作  对源码进行编译。
Linux下pip使用国内源
pip默认源是国外的网址,下载速度非常慢,将pip的源替换为国内的站点可以解决该问题。 一些常用的国内源 清华大学:https://pypi.tuna.tsinghua.edu.cn/simple 阿里云:https://mirrors.aliyun.com/pypi/simple 中国科学技术大学 https://pypi.mirrors.ustc.edu.cn/simple 豆...
Linux下pip安装教程
pip 是“A tool for installing and managing Python packages.”,也就是说pip是python的软件安装工具 2、下面介绍怎么在linux下安装pip 下载pip到/usr/local/src**cd /usr/local/src**wget "https://pypi.python.org/packages/source/p/pip/pip-
pip_setuptools.zip
Python的setup_tools工具,同时附带pip的安装包,使用时确保Python可用,可以解决Python路径下没有Scripts文件夹的问题。先安装好setup_tools工具再安装pip。
python安装json的方法;以及三种json库的区别
python中的json解释库有好几个,其中不同版本有使用上的差异。 常用有 json-py 与smiplejson 两个包 其中json-py 包含一个minjson,用法一样,只是import时 是 import minjson 两个用法上有差别, 但import语句一样, import json   # 都是如此import的。 import minjson
Linux下安装Python3.6和第三方库
Linux下安装Python3.6和第三方库如果本机安装了python2,尽量不要管他,使用python3运行python脚本就好,因为可能有程序依赖目前的python2环境,比如yum!!!!!不要动现有的python2环境!一、安装python3.61. 安装依赖环境  # yum -y install zlib-devel bzip2-devel openssl-devel ncurses-...
Linux如何更换pip的源和apt-get的源
(1)使用pip install安装Python的相关库时,国外的源速度较慢,修改为国内的源(豆瓣源)编辑配置文件, 如果没有, 新建一份:vi ~/.pip/pip.conf 添加内容如下:[global] index-url = http://pypi.douban.com/simple trusted-host = pypi.douban.com (2)修改apt-get源(参考...
Linux下安装Python3以及setuptools、pip经验分享与总结
Linux下系统默认一般自带Python,只不过带的是Python2,至于是Python2点几,就要看linux系统的版本了,一般是Python2.6或者Python2.7。那么,如果想要安装Python3应该怎么办呢? 很简单,其实Linux下是同时支持Python2以及Python3的。因此,只需要根据自己的情况来安装相应版本的Python3就可以了。记住一点,千万不要卸载系统自带的Pytho...
python3和python2多版本共存并解决pip共存问题
找到python27和python36的安装目录,修改python27和python36中python.exe和pythonw.exe的名称为python2.exe、pythonw2.exe和python3.exe、pythonw3.exe。 然后在运行cmd命令,输入python2即可运行python2版本,输入python3即可运行python3版本 pip2 和 pip3设置 Py...
linux下pip3下载的库文件python无法使用
环境如下: kali linux、python3.6(系统内还有python2) 问题描述: pip3下载库文件后,python无法使用。 报错找不到此库文件。 执行pip3 -V后,显示的也是正常的版本。 解决办法: 第一步,卸载python3自带的pip3。 pip3下载的库文件所在的目录不是python3.6的目录,于是选择先删除看看。删除过后,pip3依旧能正常运行,于...
Linux环境下 升级Python的pip,导致pip命令不可用,报错ImportError: cannot import name main解决办法
首先进入根目录,在 usr/bin 目录下 找到 pip 文件。(如果是在虚拟环境中,则需要去对应的虚拟环境中查找对应的 pip 文件) 打开pip文件显示代码如下: # -*- coding: utf-8 -*- import re import sys from pip import main if __name__ == '__main__': sys.argv[0] = re....
Linux 环境下安装pip3 以及更新pip3的问题
Linux 环境下安装pip3 以及更新pip3的问题 1.首先安装setuptools wget --no-check-certificate https://pypi.python.org/packages/source/s/setuptools/setuptools-19.6.tar.gz#md5=c607dd118eae682c44ed146367a17e26 tar -zxvf...
pip安装第三方包出现ssl错误的解决方法
我的情况是这样的 centos7系统,内置python2.7,python3.4,(后来加上自己又安装了一个python3.6) pip安装第三方包时,用pip2可以安装,没有报错。 pip3安装会报ssl错误。 python3控制台中import ssl报错。 因为个人解决的时候试了很多种方法,所以具体有哪几个步骤才是关键的我也不是很清楚。但总的来看有这些地方。 首先记得安装相关的依...
文章热词 机器学习教程 Objective-C培训 交互设计视频教程 颜色模型 设计制作学习
相关热词 mysql关联查询两次本表 native底部 react extjs glyph 图标 linux下python教程 python删除pip教程